Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicTreeUI.TreeTraverseAction

    java.lang.Object
      javax.swing.AbstractAction
          javax.swing.plaf.basic.BasicTreeUI.TreeTraverseAction

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

Enclosing class:
  BasicTreeUI

    public class BasicTreeUI.TreeTraverseAction

extends AbstractAction

`TreeTraverseAction` is the action used for left/right keys. Will toggle the expandedness of a node, as well as potentially incrementing the selection.

Field Summary
`protected int` | `direction` Determines direction to traverse, 1 means expand, -1 means collapse.

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`BasicTreeUI.TreeTraverseAction(int direction, String name)`

Method Summary
`void` | `actionPerformed(ActionEvent e)` Invoked when an action occurs.
`boolean` | `isEnabled()` Returns true if the action is enabled.

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### direction

    protected int direction

  Determines direction to traverse, 1 means expand, -1 means collapse.

Constructor Detail

### BasicTreeUI.TreeTraverseAction

    public BasicTreeUI.TreeTraverseAction(int direction,
                                          String name)

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Description copied from interface: `ActionListener`
  Invoked when an action occurs.

### isEnabled

    public boolean isEnabled()

  Description copied from class: `AbstractAction`
  Returns true if the action is enabled.

  Specified by:
    `isEnabled` in interface `Action`
  Overrides:
    `isEnabled` in class `AbstractAction`
  Returns:
    true if the action is enabled, false otherwise
  See Also:
    `Action.isEnabled()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.